#ifndef FORM_H
#define FORM_H

#include <QWidget>
#include <QLabel>

namespace Ui {
class Form;
}

/** Класс формы для проверки совместного действия нескольких правил компоновки */
class Form : public QWidget
{
    Q_OBJECT

public:
    explicit Form(QWidget *parent = 0);
    ~Form();

private slots:

    void on_edtSelectWidget_activated(int index);

    void on_edtSizePolicy_activated(int index);

    void on_edtStretchFactor_valueChanged(int arg1);

    void on_edtMinHeight_valueChanged(int arg1);

    void on_edtMaxHeight_valueChanged(int arg1);

private:
    Ui::Form *ui;
    QWidget* curWidget;
    bool whileLoadingProps = false;
    void readWidgetProps(QWidget* widget);
    void saveWidgetProps(QWidget* widget);
    void updateWidgetLabel(QWidget* widget);
    QString policyName(QSizePolicy::Policy policy);
    QSizePolicy::Policy policyByName(QString policyName);
    QWidget* selectedWidget();
};

#endif // FORM_H
